Package org.opensaml.saml.common.binding.artifact

# Interface SAMLArtifactMap.SAMLArtifactMapEntry

All Known Implementing Classes:
  `BasicSAMLArtifactMapEntry`, `ExpiringSAMLArtifactMapEntry`

Enclosing interface:
  SAMLArtifactMap

public static interface SAMLArtifactMap.SAMLArtifactMapEntry
Represents a mapping between an artifact and a SAML message with some associated information.

## Method Summary

Modifier and Type
Method
Description
`String`
`getArtifact()`
Gets the artifact that maps to the SAML message.
`String`
`getIssuerId()`
Gets the ID of the issuer of the artifact.
`String`
`getRelyingPartyId()`
Gets the ID of the relying party the artifact was sent to.
`SAMLObject`
`getSamlMessage()`
Gets SAML message the artifact maps to.

## Method Details

### getArtifact

@Nonnull @NotEmpty String getArtifact()
Gets the artifact that maps to the SAML message.

Returns:
  artifact that maps to the SAML message

### getIssuerId

@Nonnull @NotEmpty String getIssuerId()
Gets the ID of the issuer of the artifact.

Returns:
  ID of the issuer of the artifact

### getRelyingPartyId

@Nonnull @NotEmpty String getRelyingPartyId()
Gets the ID of the relying party the artifact was sent to.

Returns:
  ID of the relying party the artifact was sent to

### getSamlMessage

@Nonnull SAMLObject getSamlMessage()
Gets SAML message the artifact maps to.

Returns:
  SAML message the artifact maps to